"""create table for users

Revision ID: 2f16d38975e8
Revises: 0001
Create Date: 2023-05-22 11:29:53.684498

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '2f16d38975e8'
down_revision = '0001'
branch_labels = None
depends_on = None


def upgrade():
    op.create_table(
        'users',
        sa.Column('id', sa.String(), nullable=False),
        sa.Column('username', sa.String(), nullable=True, unique=True),
        sa.Column('email', sa.String(), nullable=True, unique=True),
        sa.Column('hashed_password', sa.String(), nullable=True),
        sa.Column('routes', sa.String(), nullable=True),
        sa.Column('disabled', sa.Boolean(), nullable=True, server_default='0'),
        sa.PrimaryKeyConstraint('id'),
        sa.Index('ix_users_username', 'username'),
        sa.Index('ix_users_email', 'email')
    )


def downgrade():
    op.drop_table('users')