"""create table for routes

Revision ID: 2f17a8d9a9c4
Revises: 0a3e8a0d4cc8
Create Date: 2023-05-29 11:26:31.625404

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects.postgresql import UUID
import uuid

# revision identifiers, used by Alembic.
revision = '2f17a8d9a9c4'
down_revision = '0a3e8a0d4cc8'
branch_labels = None
depends_on = None


def upgrade():
    op.create_table(
        'routes',
        sa.Column('id', UUID(as_uuid=True), primary_key=True, default=uuid.uuid4),
        sa.Column('name', sa.String(), nullable=False, unique=True),
        sa.Column('description', sa.String(), nullable=True),
        sa.Column('origin', sa.String(), nullable=False),
        sa.Column('destination', sa.String(), nullable=False),
        sa.Column('distance', sa.Integer(), nullable=False),
        sa.Column('duration', sa.Integer(), nullable=False),
        sa.Column('created_at', sa.DateTime(), server_default=sa.func.now()),
        sa.Column('updated_at', sa.DateTime(), server_default=sa.func.now(), onupdate=sa.func.now()),
        sa.Column('waypoints', sa.ARRAY(sa.String()), nullable=True),
        sa.Column('optimized_distance', sa.Integer(), nullable=True),
        sa.Column('optimized_duration', sa.Integer(), nullable=True)
    )


def downgrade():
    op.drop_table('routes')