"""create table for rides

Revision ID: 8c5c8f1d2d2b
Revises: 2f17a8d9a9c4
Create Date: 2023-05-23 10:30:42.123456

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects.postgresql import UUID
import uuid

# revision identifiers, used by Alembic.
revision = '8c5c8f1d2d2b'
down_revision = '2f17a8d9a9c4'
branch_labels = None
depends_on = None


def upgrade():
    op.create_table('rides',
        sa.Column('id', UUID(as_uuid=True), primary_key=True, default=uuid.uuid4),
        sa.Column('pickup_location', sa.String(), nullable=False),
        sa.Column('drop_location', sa.String(), nullable=False),
        sa.Column('pickup_latitude', sa.Float(), nullable=False),
        sa.Column('pickup_longitude', sa.Float(), nullable=False),
        sa.Column('drop_latitude', sa.Float(), nullable=False),
        sa.Column('drop_longitude', sa.Float(), nullable=False),
        sa.Column('rider_id', UUID(as_uuid=True), sa.ForeignKey('users.id'), nullable=False),
        sa.Column('driver_id', UUID(as_uuid=True), sa.ForeignKey('users.id'), nullable=True),
        sa.Column('ride_status', sa.String(), nullable=False, default='requested'),
        sa.Column('ride_distance', sa.Float(), nullable=True),
        sa.Column('ride_duration', sa.Integer(), nullable=True),
        sa.Column('ride_fare', sa.Float(), nullable=True),
        sa.Column('created_at', sa.DateTime(), server_default=sa.func.now()),
        sa.Column('updated_at', sa.DateTime(), server_default=sa.func.now(), onupdate=sa.func.now())
    )


def downgrade():
    op.drop_table('rides')