"""create rides table

Revision ID: 2a3b4c5d6e7f
Revises: 8c5c8f1d2d2b
Create Date: 2023-05-18 15:32:47.123456

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects.postgresql import UUID
import uuid

# revision identifiers, used by Alembic.
revision = '2a3b4c5d6e7f'
down_revision = '8c5c8f1d2d2b'
branch_labels = None
depends_on = None

def upgrade():
    op.create_table('rides',
        sa.Column('id', UUID(as_uuid=True), primary_key=True, default=uuid.uuid4),
        sa.Column('pickup_location', sa.String(), nullable=False),
        sa.Column('drop_location', sa.String(), nullable=False),
        sa.Column('pickup_latitude', sa.Float(), nullable=False),
        sa.Column('pickup_longitude', sa.Float(), nullable=False),
        sa.Column('drop_latitude', sa.Float(), nullable=False),
        sa.Column('drop_longitude', sa.Float(), nullable=False),
        sa.Column('rider_id', UUID(as_uuid=True), sa.ForeignKey('users.id'), nullable=False),
        sa.Column('driver_id', UUID(as_uuid=True), sa.ForeignKey('users.id'), nullable=True),
        sa.Column('ride_status', sa.String(), nullable=False, default='requested'),
        sa.Column('ride_distance', sa.Float(), nullable=True),
        sa.Column('ride_duration', sa.Integer(), nullable=True),
        sa.Column('ride_fare', sa.Float(), nullable=True),
        sa.Column('created_at', sa.DateTime(), server_default=sa.func.now()),
        sa.Column('updated_at', sa.DateTime(), server_default=sa.func.now(), onupdate=sa.func.now())
    )

def downgrade():
    op.drop_table('rides')