from fastapi import APIRouter, Depends
from typing import List
from schemas.route import RouteSchema, RouteCreate
from helpers.route_helpers import get_all_routes, create_route

router = APIRouter()

@router.post("/route", status_code=201, response_model=RouteSchema)
async def create_new_route(
    route: RouteCreate,
    db: Session = Depends(get_db)
):
    new_route = create_route(db=db, route=route)
    return new_route

@router.get("/routes", status_code=200, response_model=List[RouteSchema])
async def get_routes(db: Session = Depends(get_db)):
    routes = get_all_routes(db)
    return routes