from fastapi import APIRouter, Depends
from typing import List
from sqlalchemy.orm import Session
from core.database import get_db
from models.route import Route
from schemas.route import RouteCreate, RouteSchema
from helpers.route_helpers import get_all_routes, create_route

router = APIRouter()

@router.post("/routeoptimization", status_code=201, response_model=RouteSchema)
async def optimize_route(
    route: RouteCreate,
    db: Session = Depends(get_db)
):
    """Optimize a route"""
    optimized_route = create_route(db=db, route=route)
    return optimized_route