from pydantic import BaseModel, Field
from typing import Optional
from datetime import datetime
from uuid import UUID

# Base schema for Name
class NameBase(BaseModel):
    name_code: str = Field(..., description="Unique name code")

# Schema for creating a new Name
class NameCreate(NameBase):
    pass

# Schema for Name responses
class NameSchema(NameBase):
    id: UUID
    created_at: datetime
    updated_at: datetime

    class Config:
        orm_mode = True